## yavta 0.0%2Bgit20190114.e21525b

=== Makefile ===
CROSS_COMPILE ?=

CC	:= $(CROSS_COMPILE)gcc
CFLAGS	?= -O2 -W -Wall -Iinclude
LDFLAGS	?=
LIBS	:= -lrt

%.o : %.c
	$(CC) $(CFLAGS) -c -o $@ $<

all: yavta

yavta: yavta.o
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	-rm -f *.o
	-rm -f yavta

## yavta 0.0%2Bgit20210522.65f740a

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Iinclude -D_FORTIFY_SOURCE=2
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

execute_before_dh_installdocs:
	help2man --version-string="${DEB_VERSION_UPSTREAM}" --name="Yet Another V4L2 Test Application" -N -o yavta.1 ./yavta

## yavta 0.0%2Bgit20220328.c7b5b75

=== debian/changelog ===
yavta (0.0+git20220328.c7b5b75-4) unstable; urgency=medium

  * Fix the correct bug number (Closes: #1054208)

 -- Ricardo Ribalda Delgado <ricardo@ribalda.com>  Sat, 28 Oct 2023 08:45:54 +0200

yavta (0.0+git20220328.c7b5b75-3) unstable; urgency=medium

  * Fix build on mips64el and ppc64el (Closes: #913235)

 -- Ricardo Ribalda Delgado <ricardo@ribalda.com>  Fri, 27 Oct 2023 14:38:54 +0200

yavta (0.0+git20220328.c7b5b75-2) unstable; urgency=medium

  * Update salsa URL.
  * Remove autogenerated man.
  * Use meson instead of make.
  * Use global gitlab-ci file.
  * lintian: fix warnings

 -- Ricardo Ribalda Delgado <ricardo@ribalda.com>  Mon, 18 Sep 2023 14:12:28 +0200

yavta (0.0+git20220328.c7b5b75-1) unstable; urgency=medium

  * Update to latest version

 -- Ricardo Ribalda Delgado <ricardo@ribalda.com>  Thu, 07 Apr 2022 15:17:45 +0200

yavta (0.0+git20220307.944f076-1) unstable; urgency=medium

  * Update to latest version

 -- Ricardo Ribalda Delgado <ricardo@ribalda.com>  Mon, 21 Mar 2022 07:38:35 +0100

yavta (0.0+git20210522.65f740a-1) unstable; urgency=medium

  * Update to latest version
  * Update Debian Policy

 -- Ricardo Ribalda Delgado <ricardo@ribalda.com>  Mon, 30 Aug 2021 10:02:00 +0200

yavta (0.0+git20210305.583bede-1) unstable; urgency=medium

  * Update to latest version

 -- Ricardo Ribalda Delgado <ricardo@ribalda.com>  Thu, 11 Mar 2021 13:55:00 +0100

yavta (0.0+git20190222.405e530-4) unstable; urgency=medium

  * Set architechture as linux-any, as it depends on linux-only ioctls.

 -- Ricardo Ribalda Delgado <ricardo@ribalda.com>  Mon, 01 Feb 2021 09:44:06 +0100

yavta (0.0+git20190222.405e530-3) unstable; urgency=medium

  * Use secure URI in Homepage field. [thanks janitor@jelmer.uk]
  * Generate manpage.

 -- Ricardo Ribalda Delgado <ricardo@ribalda.com>  Sat, 30 Jan 2021 13:22:33 +0100

yavta (0.0+git20190222.405e530-2) unstable; urgency=medium

  * debian/control: wrap-and-short
  * Bump debhelper-compat version to version 13
  * debian/control: bump standard-versions, no changes
  * debian/rules: Add hardening options
  * debian/watch: new file

 -- Ricardo Ribalda Delgado <ricardo@ribalda.com>  Thu, 04 Jun 2020 20:36:20 +0200

yavta (0.0+git20190222.405e530-1) unstable; urgency=medium

  [ Ricardo Ribalda ]
  * debian: Multiple changes from janitor
  * debian/control: Fix Vcs-*
  * Update to latest master

 -- Ricardo Ribalda Delgado <ricardo@ribalda.com>  Mon, 11 May 2020 10:16:37 +0200

yavta (0.0+git20190114.e21525b-1) unstable; urgency=medium

  * Initial release (Closes: #913235)
  * Update to latest version
  * Fix copyright: Add BSD licensed files

 -- Ricardo Ribalda Delgado <ricardo@ribalda.com>  Mon, 14 Jan 2019 09:17:31 +0100

## yavta 0.0+git20190114.e21525b

=== debian/control ===
Source: yavta
Section: video
Priority: optional
Maintainer: Ricardo Ribalda Delgado <ricardo@ribalda.com>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.2.1
Homepage: http://git.ideasonboard.org/yavta.git
Vcs-Browser: https://github.com/ribalda/yavta
Vcs-Git: https://github.com/ribalda/yavta.git
Rules-Requires-Root: no

Package: yavta
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Yet Another V4L2 Test Application
 Tool to test Video4Linux2 devices with a very simple interface. It supports
 many of the latest V4L2 capabilities such as multi-plane capture, and many
 video formats.
 It also has capabilities to detect timing issues on the frame capture.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND  = -Iinclude

%:
	dh $@

## yavta 0.0+git20190222.405e530

=== debian/control ===
Source: yavta
Section: video
Priority: optional
Maintainer: Ricardo Ribalda Delgado <ricardo@ribalda.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Homepage: http://git.ideasonboard.org/yavta.git
Vcs-Browser: https://salsa.debian.org/ribalda-guest/yavta
Vcs-Git: https://salsa.debian.org/ribalda-guest/yavta.git
Rules-Requires-Root: no

Package: yavta
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Yet Another V4L2 Test Application
 Tool to test Video4Linux2 devices with a very simple interface. It supports
 many of the latest V4L2 capabilities such as multi-plane capture, and many
 video formats.
 It also has capabilities to detect timing issues on the frame capture.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Iinclude -D_FORTIFY_SOURCE=2

%:
	dh $@

## yavta 0.0+git20210522.65f740a

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: video
 Priority: optional
 Maintainer: Ricardo Ribalda Delgado <ricardo@ribalda.com>
-Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
-Homepage: http://git.ideasonboard.org/yavta.git
+Build-Depends: debhelper-compat (= 13), help2man
+Standards-Version: 4.6.0
+Homepage: https://git.ideasonboard.org/yavta.git
 Vcs-Browser: https://salsa.debian.org/ribalda-guest/yavta
 Vcs-Git: https://salsa.debian.org/ribalda-guest/yavta.git
 Rules-Requires-Root: no
 
 Package: yavta
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Yet Another V4L2 Test Application
  Tool to test Video4Linux2 devices with a very simple interface. It supports

## yavta 0.0+git20220328.c7b5b75

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: video
 Priority: optional
 Maintainer: Ricardo Ribalda Delgado <ricardo@ribalda.com>
-Build-Depends: debhelper-compat (= 13), help2man
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), meson
+Standards-Version: 4.6.2
 Homepage: https://git.ideasonboard.org/yavta.git
-Vcs-Browser: https://salsa.debian.org/ribalda-guest/yavta
-Vcs-Git: https://salsa.debian.org/ribalda-guest/yavta.git
+Vcs-Browser: https://salsa.debian.org/ribalda/yavta
+Vcs-Git: https://salsa.debian.org/ribalda/yavta.git
 Rules-Requires-Root: no
 
 Package: yavta

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0.0+git%cd.%h, repack, compression=xz" \
    git://git.ideasonboard.org/yavta.git \
    HEAD

## yavta 0.0+git20240324.323facd

=== debian/changelog ===
yavta (0.0+git20240324.323facd-1) unstable; urgency=medium

  * Uprev upstream version.
  * Update email.
  * Update salsa path.
  * Do not use pristine-tar.
  * Tag patch.

 -- Ricardo Ribalda Delgado <ribalda@debian.org>  Tue, 02 Apr 2024 16:00:38 +0200

## yavta 0.0+git20240914.52c975e

=== debian/changelog ===
yavta (0.0+git20240914.52c975e-1) unstable; urgency=medium

  * Uprev upstream version.
  * Remove merged patch. 

 -- Ricardo Ribalda Delgado <ribalda@debian.org>  Fri, 27 Sep 2024 11:51:31 +0200

## yavta 0.0+git20250410.3e445c7

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,8 @@
 CFLAGS	?= -O2 -W -Wall -Iinclude
 LDFLAGS	?=
 LIBS	:= -lrt
+
+$(warning WARNING: Makefile support is deprecated, please switch to meson)
 
 %.o : %.c
 	$(CC) $(CFLAGS) -c -o $@ $<

=== debian/changelog ===
yavta (0.0+git20250410.3e445c7-1) unstable; urgency=medium

  * Uprev upstream version.

 -- Ricardo Ribalda Delgado <ribalda@debian.org>  Mon, 05 May 2025 09:44:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: yavta
 Section: video
 Priority: optional
-Maintainer: Ricardo Ribalda Delgado <ricardo@ribalda.com>
+Maintainer: Ricardo Ribalda Delgado <ribalda@debian.org>
 Build-Depends: debhelper-compat (= 13), meson
 Standards-Version: 4.6.2
 Homepage: https://git.ideasonboard.org/yavta.git
-Vcs-Browser: https://salsa.debian.org/ribalda/yavta
-Vcs-Git: https://salsa.debian.org/ribalda/yavta.git
+Vcs-Browser: https://salsa.debian.org/debian/yavta
+Vcs-Git: https://salsa.debian.org/debian/yavta.git
 Rules-Requires-Root: no
 
 Package: yavta
